Package com.macrofocus.hierarchy

# Enum Class HierarchyEvent.Type

java.lang.Object
java.lang.Enum<HierarchyEvent.Type>
com.macrofocus.hierarchy.HierarchyEvent.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<HierarchyEvent.Type>`, `Constable`

Enclosing class:
  `HierarchyEvent<T>`

public static enum HierarchyEvent.Type extends Enum<HierarchyEvent.Type>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Changed`
  `Inserted`
  `Removed`
  `StructureChanged`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HierarchyEvent.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HierarchyEvent.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Inserted

    public static final HierarchyEvent.Type Inserted

  - ### Changed

    public static final HierarchyEvent.Type Changed

  - ### Removed

    public static final HierarchyEvent.Type Removed

  - ### StructureChanged

    public static final HierarchyEvent.Type StructureChanged

- ## Method Details

  - ### values

    public static HierarchyEvent.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HierarchyEvent.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null